package com.yonge.cooleshow.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yonge.cooleshow.biz.dal.enums.CourseScheduleEnum;
import com.yonge.cooleshow.biz.dal.enums.StudentCourseEnum;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Description 学生详情 直播课详情 学生上课状态
 *
 * @author liujunchi
 * @date 2022-04-20
 */
@ApiModel("学生详情 直播课详情 学生上课状态")
public class LiveCourseGroupStudentCourseVo {

    @ApiModelProperty("课程编号")
    private Long courseId;

    @ApiModelProperty("上课日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date classDate;

    @ApiModelProperty("上课时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date startTime;

    @ApiModelProperty("下课时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    @ApiModelProperty("到课状态 TRUANT：旷课 ATTENDCLASS:到课 NOTSTART:未开始")
    private StudentCourseEnum status;

    @ApiModelProperty("课程状态")
    private CourseScheduleEnum courseStatue;

    @ApiModelProperty("学生考勤id")
    private Long studentAttendanceId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }


    public StudentCourseEnum getStatus() {
        return status;
    }

    public void setStatus(StudentCourseEnum status) {
        this.status = status;
    }

    public CourseScheduleEnum getCourseStatue() {
        return courseStatue;
    }

    public void setCourseStatue(CourseScheduleEnum courseStatue) {
        this.courseStatue = courseStatue;
    }

    public Long getStudentAttendanceId() {
        return studentAttendanceId;
    }

    public void setStudentAttendanceId(Long studentAttendanceId) {
        this.studentAttendanceId = studentAttendanceId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
}
